%global git_tag 773b6cadc8c3ff4d6a2356726093b93fb0a4fe2c
%global git_short_tag %(c=%{git_tag}; echo ${c:0:7})

Name:		eclipse-xpand
Version:	2.2.0
Release:	5%{?dist}
Summary:	Xpand is a statically-typed template language
License:	EPL
URL:		https://eclipse.org/modeling/m2t/?project=xpand

Source0:	https://git.eclipse.org/c/m2t/org.eclipse.xpand.git/snapshot/org.eclipse.xpand-%{git_tag}.zip
# Submitted upstream: https://bugs.eclipse.org/bugs/show_bug.cgi?id=507238
Patch0:         build-properties.patch

BuildArch:	noarch

BuildRequires:	tycho
BuildRequires:	tycho-extras
BuildRequires:	guava
BuildRequires:	icu4j
BuildRequires:	antlr32-java
BuildRequires:	apache-commons-logging
BuildRequires:	eclipse-platform >= 1:4.4
BuildRequires:	eclipse-emf-runtime
BuildRequires:	eclipse-jdt
BuildRequires:	eclipse-mdt-uml2
BuildRequires:	eclipse-xsd
BuildRequires:	eclipse-cdt-native
BuildRequires:	eclipse-emf-mwe
BuildRequires:	sonatype-oss-parent

# Explicitly versioned requirement to ensure we get the right antlr
Requires: osgi(org.antlr.runtime) = 3.2.0

%description
Xpand is a language specialized on code generation based on EMF models

%prep
%setup -q -n org.eclipse.xpand-%{git_tag}
%patch0 -p1

find -name *.jar -exec rm -rf {} \;
find -name *.class -exec rm -rf {} \;

# Generate poms
find -name pom.xml -delete
rm -rf doc/ tests/ examples/
xmvn -o org.eclipse.tycho:tycho-pomgenerator-plugin:generate-poms \
  -DgroupId=org.eclipse.xpand -Dversion=%{version}-SNAPSHOT
find */*-feature -name pom.xml -exec sed -i -e 's/^  <groupId>\(.*\)</  <groupId>\1.features</' {} \;

# Disable features that we can't build
%pom_disable_module features/org.eclipse.xtend.dependencies-feature
%pom_disable_module features/org.eclipse.xtend.backend.sdk-feature
%pom_disable_module features/org.eclipse.xtend.middleend.xpand.sdk-feature
%pom_disable_module features/org.eclipse.xpand.all-feature
%pom_disable_module features/org.eclipse.xpand.build-feature
%pom_disable_module features/org.eclipse.xpand.sdk-feature
%pom_disable_module features/org.eclipse.xpand.tests-feature
%pom_disable_module features/org.eclipse.xpand.incremental-feature
%pom_disable_module plugins/org.eclipse.xpand.incremental
%pom_disable_module features/org.eclipse.xtend.backend.ui-feature
%pom_disable_module plugins/org.eclipse.xtend.backend.compiler
%pom_disable_module plugins/org.eclipse.xtend.backend.ui
%pom_disable_module features/org.eclipse.xtend.middleend.xpand.ui-feature
%pom_disable_module plugins/org.eclipse.xtend.middleend.xpand.ui
%pom_disable_module features/org.eclipse.xtend.middleend.xtend.ui-feature
%pom_disable_module plugins/org.eclipse.xtend.middleend.xtend.ui
%pom_xpath_remove -f "includes[@id='org.eclipse.xtend.dependencies']" features/org.eclipse.xtend-feature/feature.xml
%pom_xpath_remove -f "import[@feature='org.eclipse.xpand.sdk']" features/org.eclipse.xpand.support-feature/feature.xml
%pom_xpath_remove -f "plugin[@id='org.eclipse.xpand.support.cdt.source']" features/org.eclipse.xpand.support-feature/feature.xml

# Don't install poms
%mvn_package "::pom::" __noinstall

%build
# Qualifier generated from last modification time of source tarball
QUALIFIER=$(date -u -d"$(stat --format=%y %{SOURCE0})" +v%Y%m%d%H%M)
%mvn_build -j -- -DforceContextQualifier=$QUALIFIER

%install
%mvn_install

%files -f .mfiles
%license features/org.eclipse.xpand-feature/epl-v10.html

%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Nov 08 2016 Mat Booth <mat.booth@redhat.com> - 2.2.0-1
- Update to latest release
- Re-generate poms to allow more modules to be built
- Fixes FTBFS against new EMF MWE

* Mon Jun 20 2016 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.1.0-4.git57989ad
- Add missing build-requires

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-3.git57989ad
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 24 2015 Mat Booth <mat.booth@redhat.com> - 2.1.0-2.git57989ad
- Add explicitly versioned requirement on antlr runtime

* Tue Nov 17 2015 Sopot Cela <scela@redhat.com> - 2.1.0-1.0.git57989ad
- Initial packaging
